# $Revision: 1.68 $, $Date: 2008/11/01 14:00:36 $
# TODO:
# - finish and send to builder (not every 2.6 kernel has oops decoding...)
#
# Conditional build:
%bcond_without	static		# link dynamically with libbfd
#
Summary:	Kernel Oops decoder
Summary(es.UTF-8):	Un utilitario para extraer mensajes oops del núcleo y transformarlos en texto
Summary(pl.UTF-8):	Dekoder Oopsów kernela
Summary(pt_BR.UTF-8):	Um utilitário para extrair mensagens oops do kernel e transformar em texto
Summary(ru.UTF-8):	Утилита для расшифровки oops'ов ядра Linux
Summary(uk.UTF-8):	Утиліта для розшифровки oops'ів ядра Linux
Name:		ksymoops
Version:	2.4.11
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	ftp://ftp.kernel.org/pub/linux/utils/kernel/ksymoops/v2.4/%{name}-%{version}.tar.bz2
# Source0-md5:	4a8249e182a5dbc75e566d162e9f3314
Patch0:		%{name}-ksyms-2.6.patch
BuildRequires:	binutils-devel
# NOTE: binutils-static >= 2.11.90.0.19 has E=2
%{?with_static:BuildRequires:	binutils-static >= 1:2.10.1.0.4}
Obsoletes:	kernel-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ksymoops extracts kernel Oops reports from the Oops.file and uses
various sources of symbol information to convert the addresses and
code to meaningful text. Reporting a kernel Oops is meaningless on its
own because other people do not know what your kernel looks like, you
need to feed the Oops text through ksymoops then send the ksymoops
output as part of your bug report.

%description -l es.UTF-8
ksymoops extrae mensajes de oops del núcleo y usa varias fuentes de
informaciones de símbolos para convertir las direcciones y códigos en
texto.

%description -l pl.UTF-8
ksymoops jest narzędziem służącym do dekodownia informacji jakie
zrzuca kernel w momencie wystąpienia Oopsa na postać zawierającą
więcej informacji, w skład których wchodzi dekodowanie kodu na
mnemoniki instrukcji asemblerowych oraz zamiana adresów na symbole.
Jest to narzędzie przydatne do zgłaszania raportów o błędach w jądrze
Linuksa.

%description -l pt_BR.UTF-8
ksymoops extraí mensagens de oops do kernel e usa várias fontes de
informações de símbolos para converter os endereços e código em texto.

%description -l ru.UTF-8
ksymoops извлекает отчеты ядра о происшедших Oops'ах из текстового
файла и использует разнообразные источники информации о символах для
преобразования адресов и кода в осмысленный текст. Само по себе
сообщение об Oops'е ядра бессмысленно, т.к. другие не знают как
выглядит ваше ядро; вы должны пропустить текст Oops'а через ksymoops и
послать вывод ksymoops как часть вашего сообщения об ошибке.

%description -l uk.UTF-8
ksymoops видобуває звіти ядра про Oops'и, які мали місце, з текстового
файлу і використовує різноманітні джерела інформації про символи для
перетворення адрес та кодів в зрозумілий текст. Саме по собі
повідомлення про Oops ядра не має сенсу, тому що інші не знають як
виглядає ваше ядро; ви повинні пропустити текст Oops'у через ksymoops
та надіслати вивод ksymoops як частину вашого повідомлення про
помилку.

%prep
%setup -q
%patch0 -p1

sed -i -e 's#-lbfd -liberty#-lbfd -liberty -lz#g' Makefile

%build
%{__make} \
	CC="%{__cc}" \
	DEBUG="%{rpmcflags}" \
	DEF_MAP=\\\"/boot/System.map-*r\\\" \
	%{?!with_static:DYNAMIC="" STATIC=""}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install ksymoops $RPM_BUILD_ROOT%{_sbindir}/ksymoops
install ksymoops.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.XFree86 Changelog
%attr(755,root,root) %{_sbindir}/ksymoops
%{_mandir}/man8/ksymoops.8*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksymoops.spec,v $
Revision 1.68  2008/11/01 14:00:36  arekm
- rel 2; fix build

Revision 1.67  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.66  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.65  2006/12/30 18:15:23  qboosh
- BR: binutils-devel (uses libbfd)

Revision 1.64  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.63  2005/01/08 14:25:58  pluto
- updated to 2.4.11 (segfault fixed).

Revision 1.62  2004/11/21 19:15:57  areq
- 2.4.10

Revision 1.61  2004/10/09 02:13:43  ankry
- patch is not necessary: bcond fix

Revision 1.60  2004/10/09 01:46:00  ankry
- added -dynamic_libbfd patch, rel. 3

Revision 1.59  2004/09/12 15:58:09  troll
- switched to new bconds
- updated TODO

Revision 1.58  2004/09/09 19:04:11  ankry
- fixed Epoch in BR: binutils-static

Revision 1.57  2004/08/18 22:11:19  undefine
- release 2

Revision 1.56  2004/08/16 14:10:38  blues
- removed security note - it's MDK-specific

Revision 1.55  2004/08/10 14:24:00  blues
- SECURITY note

Revision 1.54  2003/08/10 08:59:50  qboosh
- ksyms-2.6 patch - part of 2.6 support (only new ksyms syntax parsing)
- release 1.1

Revision 1.53  2003/07/31 16:10:53  qboosh
- pl fixes

Revision 1.52  2003/05/28 12:59:24  malekith
- massive attack: source-md5

Revision 1.51  2003/05/25 05:49:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.50  2003/05/09 23:42:20  qboosh
- 2.4.9

Revision 1.49  2002/11/26 23:54:22  qboosh
- fixed _without_static bcond

Revision 1.48  2002/11/26 00:00:02  areq
- 2.4.8, STBR
- new %doc

Revision 1.47  2002/07/22 11:56:21  wiget
- updated to 2.4.6

Revision 1.46  2002/05/11 20:33:52  kloczek
- updated to 2.4.5,
- merge translations from Conectiva and KSI.

Revision 1.45  2002/03/03 11:16:42  kloczek
- updated to 2.4.4.

Revision 1.44  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.43  2002/01/29 13:20:22  blues
- release 2
- license changed to GPL v2
- more docs
- added missing manpage (this IS important...)

Revision 1.42  2002/01/18 02:13:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.41  2001/10/25 06:47:23  kloczek
- updated to 2.4.3.

Revision 1.40  2001/09/20 05:57:04  kloczek
- updated to 2.4.2,
- removed shared patch and added new way handling build ksymoops linked with
  shared binutils libraries.

Revision 1.39  2001/05/22 09:06:27  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.38  2001/05/05 15:20:26  kloczek
- updated to 2.4.1,
- updated Source url,
- change default System.map to /boot/System.map-*r.

Revision 1.37  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.36  2001/01/25 20:03:24  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.35  2001/01/06 16:46:03  kloczek
- rebuild against binutils 2.10.1.0.4.

Revision 1.34  2001/01/05 13:08:11  baggins
- updated to 2.4.0

Revision 1.33  2001/01/01 19:28:00  kloczek
- updated to 2.3.6.

Revision 1.32  2000/12/28 15:02:29  baggins
- added conditional shared build (define _without_static for it)

Revision 1.31  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.30  2000/11/19 21:00:32  kloczek
- updated to 2.3.5.

Revision 1.29  2000/11/01 07:22:59  kloczek
- release 5: rebuild against binutils 2.10.0.33.

Revision 1.28  2000/10/18 23:54:24  kloczek
- release 4,
- use new rpm automation,
- rebuild agains binutils 2.10.0.31.

Revision 1.27  2000/09/09 03:26:19  kloczek
- typo.

Revision 1.26  2000/09/09 03:10:38  kloczek
- BuildRequires for binutils changed to binutils-staic.

Revision 1.25  2000/09/09 02:38:40  kloczek
- release 3,
- rebuild against binutils >= 2.10.0.24.

Revision 1.24  2000/07/18 15:39:00  kloczek
- release 2,
- rebuild against binutils >= 2.10.0.12.

Revision 1.23  2000/07/18 13:38:47  baggins
- buildrequires binutils >=

Revision 1.22  2000/06/09 07:23:16  kloczek
- added using %%{__make} macro.

Revision 1.21  2000/06/06 07:59:45  wiget
2.3.4

Revision 1.20  2000/06/05 12:13:34  wiget
BuildRequires new binutils

Revision 1.19  2000/05/04 15:04:35  wiget
updated to binutils 2.9.5.0.37

Revision 1.18  2000/04/14 17:51:21  kloczek
- release 9,
- recompile against binutils 2.9.5.0.35.

Revision 1.17  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.15  2000/03/09 22:00:52  kloczek
- release 8,
- spec adapterized,
- rebuild against binutils = 2.9.5.0.29.

Revision 1.14  1999/12/23 01:14:44  kloczek
- release 7,
- added "Obsoletes: kernel-utils".

Revision 1.13  1999/12/04 21:50:16  kloczek
- release 6,
- rebuild against binutils 2.9.5.0.22.

Revision 1.12  1999/11/10 21:13:51  wiget
- build against binutils 2.9.5.0.19

Revision 1.11  1999/11/07 02:47:26  kloczek
- release 4.

Revision 1.10  1999/11/07 02:30:21  wiget
- build against binutils 2.9.5.0.16

Revision 1.9  1999/09/21 20:14:21  kloczek
- release 3,
- rebuilded against binutils 2.9.5.0.12.

Revision 1.8  1999/08/28 12:32:48  wiget
version: 0.7c

Revision 1.7  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.6  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.5  1999/07/12 23:06:05  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Apr  7 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [0.6-2]
- added gzipping %doc,
- added pl translation.

* Wed Nov 18 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- initial build for ksymoops 0.6
